Subject: bug#46818: closed (Re: bug#46818: leim bootstrap: Variable binding depth exceeds max-specpdl-size)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Mar 2021 17:04:02 +0000

Your bug report

#46818: leim bootstrap: Variable binding depth exceeds max-specpdl-size

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46818: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46818
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46818: leim bootstrap: Variable binding depth exceeds max-specpdl-size
From: Stefan Monnier <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked], Eli Zaretskii <[email-masked]>, [email-masked]
Date: Mon, 01 Mar 2021 12:02:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

>>> In any case, rather than bump the pdl limit, I suggest the patch below,
>>> which completely avoids the need to macroexpand all that code we won't
>>> be using anyway.
>> I'd rather increase the pdl limit.  Having code that subtly evades
>> using our normal machinery sounds a maintenance headache in the long
>> run.
> I agree with Eli here -- increasing the pdl limit here certainly sounds
> like a less subtle fix.

OK, I've done that now, thanks,

        Stefan

Subject: leim bootstrap: Variable binding depth exceeds max-specpdl-size
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 27 Feb 2021 13:17:54 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 28.0.50

When building in a completely clean tree (new checkout or make extraclean)
at rev a4d7235f1a, I see the following errors when building the leim files:

  GEN      ../lisp/language/pinyin.el
  GEN      ../lisp/leim/leim-list.el
Eager macro-expansion failure: (error "Variable binding depth exceeds
  max-specpdl-size")

  [...]
  INFO     Processing OKURI-NASI entries...done
  Eager macro-expansion failure: (error "Variable binding depth exceeds
  max-specpdl-size")

These issues don't seem to be present at rev 6bf56a; ref
https://hydra.nixos.org/build/137524247